# ava module not in Fedora yet
%global enable_tests 0
%global module_name into-stream

Name:           nodejs-%{module_name}
Version:        3.1.0
Release:        2%{?dist}
Summary:        Convert a buffer/string/array/object into a stream

License:        MIT
URL:            https://github.com/sindresorhus/into-stream
Source0:        https://github.com/sindresorhus/into-stream/archive/v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
BuildRequires:  npm(buffer-equals)
BuildRequires:  npm(concat-stream)
%endif

%description
Correctly chunks up the input and handles backpressure.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%nodejs_fixdep from2

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{__nodejs} -e 'require("./")'
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 05 2016 Parag Nemade <pnemade AT redhat DOT com> - 3.1.0-1
- Update to 3.1.0

* Sun Aug 28 2016 Parag Nemade <pnemade AT redhat DOT com> - 3.0.0-2
- Update to 3.0.0

* Wed Aug 03 2016 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-3
- fixdep for from2 module

* Tue Aug 02 2016 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-2
- Update to 2.0.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 07 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.0.0-1
- Initial packaging

